{{ config(
    indexes = [{'columns':['_airbyte_emitted_at'],'type':'btree'}],
    schema = "_airbyte_unibag",
    tags = [ "nested-intermediate" ]
) }}
-- SQL model to cast each column to its adequate SQL type converted from the JSON schema type
-- depends_on: {{ ref('orders_useragent_ab1') }}
select
    _airbyte_orders_hashid,
    cast(ip as {{ dbt_utils.type_string() }}) as ip,
    cast({{ adapter.quote('version') }} as {{ dbt_utils.type_string() }}) as {{ adapter.quote('version') }},
    cast(platform as {{ dbt_utils.type_string() }}) as platform,
    _airbyte_ab_id,
    _airbyte_emitted_at,
    {{ current_timestamp() }} as _airbyte_normalized_at
from {{ ref('orders_useragent_ab1') }}
-- useragent at orders/userAgent
where 1 = 1

